module SMSCentre
  class Result
    attr_reader :message_id
    attr_reader :cost
    attr_reader :balance

    def initialize(phones, message_id, opts = {})
      @phones     = phones
      @message_id = message_id
      @cost       = opts[:cost]
      @balance    = opts[:balance]
    end

    def status_for(phone)
      @phones[phone] || MESSAGE_STATUS_PENDING
    end

    def human_status_for(phone)
      SMSCentre.human_message_status(status_for(phone))
    end

    def succeed?(phone)
      !@phones.key?(phone)
    end

    def failed?(phone)
      @phones.key?(phone)
    end
  end
end