module SMSCentre
  class Status
    attr_reader :message_id
    attr_reader :phone
    attr_reader :status
    attr_reader :err
    attr_reader :last_date
    attr_reader :last_timestamp

    def initialize(phone, message_id, status, opts = {})
      @phone      = phone
      @message_id = message_id
      @status     = status

      @err            = opts[:err]
      @last_date      = opts[:last_date]
      @last_timestamp = opts[:last_timestamp]
    end

    def delivered?
      @status == MESSAGE_STATUS_DELIVERED
    end

    def pending?
      [MESSAGE_STATUS_PENDING, MESSAGE_STATUS_OPERATOR].include?(@status)
    end

    def failed?
      !(delivered? || pending?)
    end

    def human_status
      SMSCentre.human_message_status(status)
    end
  end
end